﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

using MindFusion.Charting.Wpf;
using System.Windows.Media.Effects;

namespace Zoom
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();

            lineChart1.Title = "Average Shares Price";
            lineChart1.TitleFontSize = 20;
            lineChart1.LineType = LineType.Line;

            DoubleCollection xValues = new DoubleCollection();

            for (int i = 0; i < 500; i++)
                xValues.Add(i);

            LineSeries series1 = new LineSeries();
            lineChart1.Series.Add(series1);
            series1.Effect = new DropShadowEffect() { Opacity = 0.7, ShadowDepth = 3 };
            series1.Fills = new BrushCollection();
            series1.Strokes = new BrushCollection();
            series1.ScatterFills = new BrushCollection();
            series1.ScatterStrokes = new BrushCollection();

            series1.Title = "";            
            series1.XData = xValues;
            series1.YData = generateData(1000);
            series1.Strokes.Clear();
            series1.ScatterSize = 13;
            series1.StrokeThickness = 1;
            series1.Strokes.Add(Brushes.Red);
            series1.Fills.Add(new SolidColorBrush(Color.FromRgb(209, 241, 210)));
            series1.ScatterStrokes.Add(new SolidColorBrush(Color.FromRgb(0, 174, 0)));
            series1.ScatterType = ScatterType.None;

            LineSeries series2 = new LineSeries();
            series2.Effect = new DropShadowEffect() { Opacity = 0.7, ShadowDepth = 3 };
            series2.Fills = new BrushCollection();
            series2.Strokes = new BrushCollection();
            series2.ScatterFills = new BrushCollection();
            series2.ScatterStrokes = new BrushCollection();            
            series2.XData = xValues;
            series2.YData = generateData(500);
            series2.Strokes.Clear();
            series2.StrokeThickness = 1;
            series2.Strokes.Add(Brushes.Blue);
            series2.ScatterStrokes.Add(new SolidColorBrush(Color.FromRgb(255, 255, 60)));
            series2.ScatterSize = 13;
            series2.Fills.Add(new SolidColorBrush(Color.FromRgb(255, 255, 179)));
            series2.ScatterType = ScatterType.None;
            lineChart1.Series.Add(series2);
          
            lineChart1.XAxes[0].Tick = 3;
            lineChart1.XAxes[0].Title = "";
            lineChart1.XAxes[0].LabelType = LabelType.AutoScale;
            lineChart1.XAxes[0].Interval = double.NaN;

            lineChart1.YAxes[0].Tick = 3;
            lineChart1.YAxes[0].Title = "";
            lineChart1.YAxes[0].Interval = 200;    
          

            ChartLegend legend = new ChartLegend();
            legend.Background = Brushes.White;
            legend.BorderBrush = Brushes.Gray;
            legend.Orientation = Orientation.Horizontal;
            LayoutPanel.SetDock(legend, Dock.Bottom);
            legend.HorizontalAlignment = HorizontalAlignment.Center;
        }

        private DoubleCollection generateData(int seed)
        {
            DoubleCollection result = new DoubleCollection();
            Random ran = new Random(seed);

            for (int i = 0; i < 500; i++)
            {
                double num = (double)ran.Next(0, 500);
                result.Add(num);
            }

            return result;
        }

        private void btnZoom_Click(object sender, RoutedEventArgs e)
        {
            lineChart1.Behavior = Behavior.ZoomChart;
        }

        private void btnZoomOut_Click(object sender, RoutedEventArgs e)
        {
            lineChart1.ZoomOut();
        }

        private void btnResetZoom_Click(object sender, RoutedEventArgs e)
        {
            lineChart1.ResetZoom();
        }
    }
}
